[sword-devel] gnomeSword compilation

fredex fredex at fcshome.stoneham.ma.us
Tue Dec 6 17:55:58 MST 2005


I've got a Tao-4 linux system (a RHEL4 clone) and have installed
sword 1.5.8 from RPM.

I've built bibletime 1.5.3 against that version of Sword, and it 
seems to work fine.

but I remember 2-3 years ago I liked the UI in gnomesword better so 
I've tried to compile both 2.0.0 and 2.1.1 against sword 1.5.8, and
neither will compile. In both cases it will die complaining of a missing
file: unixstr.h.  this file appears to exist in Sword 1.5.7 but is not
in my 1.5.8 system. Is this a bug, or a feature?

Has anyone else gotten a recent GnomeSword to compile against a recent
Sword toolkit?

Suggestions welcome.


---- Fred Smith -- fredex at fcshome.stoneham.ma.us -----------------------------
   "For the word of God is living and active. Sharper than any double-edged 
   sword, it penetrates even to dividing soul and spirit, joints and marrow; 
              it judges the thoughts and attitudes of the heart."  
---------------------------- Hebrews 4:12 (niv) ------------------------------
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://www.crosswire.org/pipermail/sword-devel/attachments/20051206/5d4c7acb/attachment.bin

More information about the sword-devel mailing list